#"@(#) SGeSAP/LX - 12.20.00 - $Rev: 1819 $ - Last modified 02/02/17"
#
# **********************************************************************
# *                                                                    *
# * HPE SGeSAP/LX                                                      *
# *                                                                    *
# * SAP HANA sitecontroller handling script                            *
# *                                                                    *
# * (c) Copyright 1996-2015 Hewlett-Packard Co.                        *
# * (c) Copyright 2015-2017 Hewlett Packard Enterprise Co.             *
# *                                                                    *
# *                                                                    *
# * Description: Serviceguard Extension for SAP control logic          *
# *                                                                    *
# * This control script file must not be edited !                      *
# * Any changes made to it will be overwritten when you upgrade to the *
# * next revision of HPE SGeSAP.                                       *
# *                                                                    *
# * Changing this file may lead to unrecoverable package startup       *
# * and/or shutdown problems.                                          *
# *                                                                    *
# **********************************************************************


if [ -z "${SGCONF}" ]; then
  [ -f /etc/cmcluster.conf ] && . /etc/cmcluster.conf
fi

[ -f ${SGCONF}/scripts/sgesap/sap_control.sh ] && . ${SGCONF}/scripts/sgesap/sap_control.sh
fname=hdbsico.sh

set -m
trap "wait;sg_log 2 \"Interrupting SGeSAP ${script_name} '${op_code}' runtime steps ...\"; exit 2" 2

case ${op_code} in
  start)
    # nop
  ;;
  stop)
    # nop
  ;;
  validate)
    typeset -i i=0
    typeset -i notpassed=0
    while [ -n "${SG_SERVICE_NAME[$i]}" ]; do
      if [ `echo ${SG_SERVICE_CMD[$i]}|grep "/scripts/sg/sc_mon.sh"|wc -l` -eq 1 ]; then
        if [ "X${SG_SERVICE_HALT_ON_MAINTENANCE[$i]}" = "Xyes" ]; then
          notpassed=1
        fi
        break
      fi
      (( i = $i + 1 ))
    done
    if [ ${notpassed} -eq 0 ]; then
      SG_SERVICE_NAME[$i]=${SG_SERVICE_NAME[$i]:-a sitecontroller service is defined that}
      ErrLogMsg "Invalid value: HANA sitecontroller functionality requires that ${SG_SERVICE_NAME[$i]}"
      LogMsg "has service_halt_on_maintenance set to value yes in the package configuration."
      exit ${ERROR}
    fi
  ;;
  reconfigure_start)
  ;;
  reconfigure_stop)
  ;;
  *)
    sg_log 0 "ERROR: Runtime called with illegal package mode: '${op_code}'"

    exit 2
  ;;
esac

sg_log 2 "Leaving SGeSAP ${script_name} '${op_code}' runtime steps ..."

exit 0
