#"@(#) SGeSAP/LX - 12.20.00 - $Rev: 1819 $ - Last modified 02/02/17"
#
# **********************************************************************
# *                                                                    *
# * HPE SGeSAP/LX                                                      *
# *                                                                    *
# * SAP infrastructure module dispatcher script                        *
# *                                                                    *
# * (c) Copyright 1996-2015 Hewlett-Packard Co.                        *
# * (c) Copyright 2015-2016 Hewlett Packard Enterprise Co.             *
# *                                                                    *
# *                                                                    *
# * Description: Serviceguard Extension for SAP control logic          *
# *                                                                    *
# * This control script file must not be edited !                      *
# * Any changes made to it will be overwritten when you upgrade to the *
# * next revision of HPE SGeSAP.                                       *
# *                                                                    *
# * Changing this file may lead to unrecoverable package startup       *
# * and/or shutdown problems.                                          *
# *                                                                    *
# **********************************************************************


#. /etc/cmcluster/scripts/sgesap/sap_control.sh
. ${SGCONF}/scripts/sgesap/sap_control.sh

set -m
trap "wait;sg_log 2 \"Interrupting SGeSAP ${script_name} '${op_code}' runtime steps ...\"; exit 2" 2

case ${op_code} in
  start)
    check_versions
    cross_check
    init_params_sap_infra pre
    check_debug
    dns_sync
    [ ${SAPOSCOL_START} -eq 1 ] && start_saposcol D 99 localhost
    [ ${SAPBIA_START} -eq 1 ] && notify_bia
    [ ${SAPCCMSR_START} -eq 1 ] && start_sapccmsr
  ;;
  stop)
    check_versions
    init_params_sap_infra pre
    [ ${SAPOSCOL_STOP} -eq 1 ] && stop_saposcol D 99 localhost
    [ ${SAPBIA_STOP} -eq 1 ] && :
    [ ${SAPCCMSR_STOP} -eq 1 ] && stop_sapccmsr
    ;;
  validate)
    check_versions
    init_params_sap_infra pre

    static_param_latch SAP_INFRA_SW_TYPE
    static_param_latch SAP_INFRA_SW_HOST

    SAPVERIFY="${SGSBIN}/sapverify"
    if [ -x ${SAPVERIFY} ]; then
       ${SAPVERIFY} -p "${SG_PACKAGE}" -sg_op_code "${op_code}" -c "$0"
       rc=$?
       [ ${rc} -gt 0 ] && exit ${rc}
    else
        sg_log 0 "WARNING: Couldn't find or execute ${SAPVERIFY}"
    fi
  ;;
  reconfigure_start)
  ;;
  reconfigure_stop)
  ;;
  *)
    sg_log 0 "ERROR: Runtime called with illegal package mode: '${op_code}'"
    exit 2
  ;;
esac

sg_log 2 "Leaving SGeSAP ${script_name} '${op_code}' runtime steps ..."

#return 0
exit 0
